## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenDataTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
                          org.eclipse.emf.codegen.ecore.genmodel.impl.GenDataTypeImpl

All Implemented Interfaces:
  GenBase, GenClassifier, GenDataType, Notifier, EObject, InternalEObject

Direct Known Subclasses:
  GenEnumImpl

    public class GenDataTypeImpl

extends GenClassifierImpl
implements GenDataType

An implementation of the model object 'Gen Data Type'.

The following features are implemented:

- `Ecore Data Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EDataType` `ecoreDataType` The cached value of the '`Ecore Data Type`' reference
`protected static java.util.List<java.lang.String>` `xmlCalendarTypes`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`genTypeParameters`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenDataTypeImpl()`

Method Summary
`EDataType` `basicGetEcoreDataType()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.util.List<java.lang.String>` `getAllGenConstraints()`
`GenDataType` `getBaseType()`
`GenClassifier` `getConstraintDelegate(java.lang.String constraint)`
`GenClassifier` `getConstraintImplementor(java.lang.String constraint)`
`EClassifier` `getEcoreClassifier()`
`EDataType` `getEcoreDataType()`
`GenDataType` `getEffectiveItemType()`
`java.util.List<GenDataType>` `getEffectiveMemberTypes()`
`java.util.List<java.lang.String>` `getEnumerationLiterals()`
`int` `getFractionDigits()`
`java.util.List<java.lang.String>` `getGenConstraints()`
`java.lang.String` `getGeneratedInstanceClassFlag()`
`java.lang.String` `getImportedBoundedWildcardInstanceClassName()`
`java.lang.String` `getImportedInstanceClassName()`
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedParameterizedInstanceClassName()`
`java.lang.String` `getImportedParameterizedObjectInstanceClassName()`
`java.lang.String` `getImportedWildcardInstanceClassName()`
`java.lang.String` `getImportedWildcardObjectInstanceClassName()`
`protected java.lang.String` `getInternalQualifiedInstanceClassName(boolean includeTemplateArguments)`
`GenDataType` `getItemType()`
`java.lang.String` `getLengthAccessorFunction()`
`int` `getMaxLength()`
`java.lang.String` `getMaxLiteral()`
`java.util.List<GenDataType>` `getMemberTypes()`
`int` `getMinLength()`
`java.lang.String` `getMinLiteral()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getObjectInstanceClassName()`
`GenDataType` `getObjectType()`
`java.util.List<java.util.List<java.lang.String>>` `getPatterns()`
`java.lang.String` `getPrimitiveValueFunction()`
`java.lang.String` `getQualifiedInstanceClassName()`
`java.lang.String` `getRawImportedInstanceClassName()`
`java.lang.String` `getRawInstanceClassName()`
`java.lang.String` `getRawQualifiedInstanceClassName()`
`java.lang.String` `getSerializableFlag()`
`java.lang.String` `getStaticValue(java.lang.String literal)`
`int` `getTotalDigits()`
`java.lang.String` `getWhiteSpace()`
`void` `initialize(EDataType eDataType)`
`boolean` `isArrayType()`
`boolean` `isMaxInclusive()`
`boolean` `isMinInclusive()`
`boolean` `isObjectType()`
`boolean` `isPrimitiveType()`
`boolean` `isSerializable()`
`boolean` `isXMLBoolean()`
`boolean` `isXMLCalendar()`
`boolean` `isXMLDuration()`
`boolean` `reconcile()`
`boolean` `reconcile(GenDataType oldGenDataTypeVersion)`
`protected void` `reconcileSettings(GenDataType oldGenDataTypeVersion)`
`void` `setEcoreDataType(EDataType newEcoreDataType)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`eInverseRemove, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getEcoreModelElement, getFormattedName, getGenPackage, getGenTypeParameters, getMetaType, getName, getQualifiedClassifierAccessor, getSafeUncapName, getUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eInverseAdd, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier
`getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getFormattedName, getGenPackage, getGenTypeParameters, getMetaType, getName, getQualifiedClassifierAccessor, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ecoreDataType

    protected EDataType ecoreDataType

  The cached value of the '`Ecore Data Type`' reference.

  See Also:
    `getEcoreDataType()`

### xmlCalendarTypes

    protected static final java.util.List<java.lang.String> xmlCalendarTypes

Constructor Detail

### GenDataTypeImpl

    protected GenDataTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenClassifierImpl`

### getEcoreDataType

    public EDataType getEcoreDataType()

  Specified by:
    `getEcoreDataType` in interface `GenDataType`
  Returns:
    the value of the 'Ecore Data Type' reference.
  See Also:
    `GenDataType.setEcoreDataType(EDataType)`, `GenModelPackage.getGenDataType_EcoreDataType()`

### basicGetEcoreDataType

    public EDataType basicGetEcoreDataType()

### setEcoreDataType

    public void setEcoreDataType(EDataType newEcoreDataType)

  Specified by:
    `setEcoreDataType` in interface `GenDataType`
  Parameters:
    `newEcoreDataType` - the new value of the 'Ecore Data Type' reference.
  See Also:
    `GenDataType.getEcoreDataType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenClassifierImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenClassifierImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenClassifierImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenClassifierImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getEcoreClassifier

    public EClassifier getEcoreClassifier()

  Specified by:
    `getEcoreClassifier` in interface `GenClassifier`
  Specified by:
    `getEcoreClassifier` in class `GenClassifierImpl`

### getImportedMetaType

    public java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenClassifier`
  Specified by:
    `getImportedMetaType` in class `GenClassifierImpl`

### getQualifiedInstanceClassName

    public java.lang.String getQualifiedInstanceClassName()

  Specified by:
    `getQualifiedInstanceClassName` in interface `GenDataType`

### getRawQualifiedInstanceClassName

    public java.lang.String getRawQualifiedInstanceClassName()

### getInternalQualifiedInstanceClassName

    protected java.lang.String getInternalQualifiedInstanceClassName(boolean includeTemplateArguments)

### getRawImportedInstanceClassName

    public java.lang.String getRawImportedInstanceClassName()

  Specified by:
    `getRawImportedInstanceClassName` in interface `GenClassifier`

### getRawInstanceClassName

    public java.lang.String getRawInstanceClassName()

  Specified by:
    `getRawInstanceClassName` in interface `GenClassifier`

### getImportedInstanceClassName

    public java.lang.String getImportedInstanceClassName()

  Specified by:
    `getImportedInstanceClassName` in interface `GenClassifier`
  Specified by:
    `getImportedInstanceClassName` in interface `GenDataType`

### getImportedParameterizedInstanceClassName

    public java.lang.String getImportedParameterizedInstanceClassName()

  Specified by:
    `getImportedParameterizedInstanceClassName` in interface `GenClassifier`
  Overrides:
    `getImportedParameterizedInstanceClassName` in class `GenClassifierImpl`

### getImportedWildcardInstanceClassName

    public java.lang.String getImportedWildcardInstanceClassName()

  Specified by:
    `getImportedWildcardInstanceClassName` in interface `GenClassifier`
  Overrides:
    `getImportedWildcardInstanceClassName` in class `GenClassifierImpl`

### getImportedWildcardObjectInstanceClassName

    public java.lang.String getImportedWildcardObjectInstanceClassName()

  Specified by:
    `getImportedWildcardObjectInstanceClassName` in interface `GenDataType`

### getImportedBoundedWildcardInstanceClassName

    public java.lang.String getImportedBoundedWildcardInstanceClassName()

  Specified by:
    `getImportedBoundedWildcardInstanceClassName` in interface `GenClassifier`
  Overrides:
    `getImportedBoundedWildcardInstanceClassName` in class `GenClassifierImpl`

### getImportedParameterizedObjectInstanceClassName

    public java.lang.String getImportedParameterizedObjectInstanceClassName()

  Specified by:
    `getImportedParameterizedObjectInstanceClassName` in interface `GenDataType`

### getObjectInstanceClassName

    public java.lang.String getObjectInstanceClassName()

  Specified by:
    `getObjectInstanceClassName` in interface `GenDataType`

### isSerializable

    public boolean isSerializable()

  Specified by:
    `isSerializable` in interface `GenDataType`

### getSerializableFlag

    public java.lang.String getSerializableFlag()

  Specified by:
    `getSerializableFlag` in interface `GenDataType`

### getGeneratedInstanceClassFlag

    public java.lang.String getGeneratedInstanceClassFlag()

  Specified by:
    `getGeneratedInstanceClassFlag` in interface `GenClassifier`

### isPrimitiveType

    public boolean isPrimitiveType()

  Specified by:
    `isPrimitiveType` in interface `GenDataType`

### isArrayType

    public boolean isArrayType()

  Specified by:
    `isArrayType` in interface `GenDataType`

### isObjectType

    public boolean isObjectType()

  Specified by:
    `isObjectType` in interface `GenDataType`

### getPrimitiveValueFunction

    public java.lang.String getPrimitiveValueFunction()

  Specified by:
    `getPrimitiveValueFunction` in interface `GenDataType`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenDataType`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### getBaseType

    public GenDataType getBaseType()

  Specified by:
    `getBaseType` in interface `GenDataType`

### getItemType

    public GenDataType getItemType()

  Specified by:
    `getItemType` in interface `GenDataType`

### getEffectiveItemType

    public GenDataType getEffectiveItemType()

### getMemberTypes

    public java.util.List<GenDataType> getMemberTypes()

  Specified by:
    `getMemberTypes` in interface `GenDataType`

### getEffectiveMemberTypes

    public java.util.List<GenDataType> getEffectiveMemberTypes()

### getObjectType

    public GenDataType getObjectType()

  Specified by:
    `getObjectType` in interface `GenDataType`

### getMinLiteral

    public java.lang.String getMinLiteral()

  Specified by:
    `getMinLiteral` in interface `GenDataType`

### isMinInclusive

    public boolean isMinInclusive()

  Specified by:
    `isMinInclusive` in interface `GenDataType`

### getMaxLiteral

    public java.lang.String getMaxLiteral()

  Specified by:
    `getMaxLiteral` in interface `GenDataType`

### isMaxInclusive

    public boolean isMaxInclusive()

  Specified by:
    `isMaxInclusive` in interface `GenDataType`

### getLengthAccessorFunction

    public java.lang.String getLengthAccessorFunction()

  Specified by:
    `getLengthAccessorFunction` in interface `GenDataType`

### getMinLength

    public int getMinLength()

  Specified by:
    `getMinLength` in interface `GenDataType`

### getMaxLength

    public int getMaxLength()

  Specified by:
    `getMaxLength` in interface `GenDataType`

### getTotalDigits

    public int getTotalDigits()

  Specified by:
    `getTotalDigits` in interface `GenDataType`

### getFractionDigits

    public int getFractionDigits()

  Specified by:
    `getFractionDigits` in interface `GenDataType`

### getEnumerationLiterals

    public java.util.List<java.lang.String> getEnumerationLiterals()

  Specified by:
    `getEnumerationLiterals` in interface `GenDataType`

### getWhiteSpace

    public java.lang.String getWhiteSpace()

  Specified by:
    `getWhiteSpace` in interface `GenDataType`

### isXMLCalendar

    public boolean isXMLCalendar()

  Specified by:
    `isXMLCalendar` in interface `GenDataType`

### isXMLDuration

    public boolean isXMLDuration()

  Specified by:
    `isXMLDuration` in interface `GenDataType`

### isXMLBoolean

    public boolean isXMLBoolean()

### getPatterns

    public java.util.List<java.util.List<java.lang.String>> getPatterns()

  Specified by:
    `getPatterns` in interface `GenDataType`

### initialize

    public void initialize(EDataType eDataType)

  Specified by:
    `initialize` in interface `GenDataType`

### reconcile

    public boolean reconcile(GenDataType oldGenDataTypeVersion)

  Specified by:
    `reconcile` in interface `GenDataType`

### reconcileSettings

    protected void reconcileSettings(GenDataType oldGenDataTypeVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### getGenConstraints

    public java.util.List<java.lang.String> getGenConstraints()

  Specified by:
    `getGenConstraints` in interface `GenClassifier`
  Overrides:
    `getGenConstraints` in class `GenClassifierImpl`

### getAllGenConstraints

    public java.util.List<java.lang.String> getAllGenConstraints()

  Specified by:
    `getAllGenConstraints` in interface `GenClassifier`
  Overrides:
    `getAllGenConstraints` in class `GenClassifierImpl`

### getConstraintImplementor

    public GenClassifier getConstraintImplementor(java.lang.String constraint)

  Specified by:
    `getConstraintImplementor` in interface `GenClassifier`
  Overrides:
    `getConstraintImplementor` in class `GenClassifierImpl`

### getConstraintDelegate

    public GenClassifier getConstraintDelegate(java.lang.String constraint)

  Specified by:
    `getConstraintDelegate` in interface `GenClassifier`

### getStaticValue

    public java.lang.String getStaticValue(java.lang.String literal)

  Specified by:
    `getStaticValue` in interface `GenDataType`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.